Index: admin/csp_report.php
===================================================================
--- admin/csp_report.php	(revision 3293)
+++ admin/csp_report.php	(revision 3324)
@@ -8,6 +8,8 @@
 header('X-Content-Type-Options: "nosniff"');
 
+require dirname(__FILE__).'/../inc/admin/prepend.php';
+
 // Specify log file
-define('LOGFILE',dirname(__FILE__).'/csp_report.txt');
+define('LOGFILE',path::real(DC_TPL_CACHE).'/csp_report.txt');
 
 // Get the raw POST data
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 3314)
+++ inc/dbschema/upgrade.php	(revision 3324)
@@ -540,5 +540,5 @@
 		}
 
-		if (version_compare($version,'2.10','<='))
+		if (version_compare($version,'2.10','<'))
 		{
 			@unlink(DC_ROOT.'/'.'admin/js/jsUpload/vendor/jquery.ui.widget.js');
@@ -590,4 +590,10 @@
 		}
 
+		if (version_compare($version,'2.11','<'))
+		{
+			// Remove the CSP report file from it's old place
+			@unlink(DC_ROOT.'/admin/csp_report.txt');
+		}
+
 		$core->setVersion('core',DC_VERSION);
 		$core->blogDefaults();
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 3272)
+++ locales/fr/plugins.po	(revision 3324)
@@ -1300,4 +1300,16 @@
 msgstr "La suppression du répertoire du cache des templates peut se révéler nécessaire lors de modifications dans les fichiers .html ou .css d'un thème (voire lors d'un changement de thème ou de mise à jour de plugin). Attention : chez certains hébergeurs (Free par exemple), le cache du répertoire des templates ne peut pas être vidé grâce à l'extension Maintenance, il faut supprimer le répertoire <strong>cbtpl</strong> situé dans le répertoire cache (dotclear/cache par défaut) avec un logiciel FTP."
 
+msgid "Delete the Content-Security-Policy report file"
+msgstr "Supprimer le rapport de violation des Content-Security-Policy"
+
+msgid "Content-Security-Policy report file has been deleted."
+msgstr "Le rapport de violation des Content-Security-Policy a été supprimé."
+
+msgid "Failed to delete the Content-Security-Policy report file."
+msgstr "Impossible de supprimer le rapport de violation des Content-Security-Policy."
+
+msgid "Remove the Content-Security-Policy report file."
+msgstr "Supprime le rapport de violation des Content-Security-Policy."
+
 msgid "Count again comments and trackbacks"
 msgstr "Recompter les commentaires et rétroliens"
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 2849)
+++ plugins/maintenance/_admin.php	(revision 3324)
@@ -61,4 +61,5 @@
 
 		->addTask('dcMaintenanceCache')
+		->addTask('dcMaintenanceCSP')
 		->addTask('dcMaintenanceIndexposts')
 		->addTask('dcMaintenanceIndexcomments')
Index: plugins/maintenance/_prepend.php
===================================================================
--- plugins/maintenance/_prepend.php	(revision 2095)
+++ plugins/maintenance/_prepend.php	(revision 3324)
@@ -19,4 +19,5 @@
 
 $__autoload['dcMaintenanceCache'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.cache.php';
+$__autoload['dcMaintenanceCSP'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.csp.php';
 $__autoload['dcMaintenanceCountcomments'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.countcomments.php';
 $__autoload['dcMaintenanceIndexcomments'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.indexcomments.php';
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php	(revision 3324)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php	(revision 3324)
@@ -0,0 +1,36 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+if (!defined('DC_RC_PATH')) { return; }
+
+class dcMaintenanceCSP extends dcMaintenanceTask
+{
+	protected $group = 'purge';
+
+	protected function init()
+	{
+		$this->task 		= __('Delete the Content-Security-Policy report file');
+		$this->success 		= __('Content-Security-Policy report file has been deleted.');
+		$this->error 		= __('Failed to delete the Content-Security-Policy report file.');
+
+		$this->description = __("Remove the Content-Security-Policy report file.");
+	}
+
+	public function execute()
+	{
+		$csp_file = path::real(DC_TPL_CACHE).'/csp_report.txt';
+		if (file_exists($csp_file)) {
+			unlink($csp_file);
+		}
+
+		return true;
+	}
+}
